  SUBROUTINE alloc_stat

   !&E---------------------------------------------------------------------
   !&E                 ***  ROUTINE alloc_stat  ***
   !&E
   !&E ** Purpose : 
   !&E
   !&E ** Description :
   !&E
   !&E ** Called by :
   !&E
   !&E ** External calls : 
   !&E
   !&E ** Used ij-arrays : 
   !&E
   !&E ** Modified variables :
   !&E
   !&E ** Reference :
   !&E
   !&E ** History :
   !&E       !  
   !&E
   !&E---------------------------------------------------------------------
   !! * Modules used
   USE comvars2d,ONLY : alloc_comvars2d_grid
   USE comvars2d,ONLY : alloc_comvars2d_rough
   
   IMPLICIT NONE

   !! * Arguments

   !! * Local declarations

   !!----------------------------------------------------------------------
   !! * Executable part
   !! Allocation of variables relative to grid geometry
   CALL alloc_comvars2d_grid
   !! Allocation of variables relative to roughness
   CALL alloc_comvars2d_rough

  END SUBROUTINE alloc_stat
